Bug 165187 - RFE: need ability to search and order by time of last comment
RFE: need ability to search and order by time of last comment
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 19:49 EDT by Jason Vas Dias
Modified: 2013-06-23 23:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-08-04 19:49:44 EDT
It would be great to be able to query bugs and order bug lists based on the time 
the last comment was submitted, not just on the time that the fields changed. 

I looked in the "query.cgi?format=advanced" form, but could find no way of 
doing so - querying based on "Only bugs changed in the last N days" only 
looks for changes in bug fields, not comments.

Or perhaps there could be a single "Update Time" field that contains the 
time that the last comment was updated or any field has changed - this field
should be displayed in lists and should be able to be used to order the list.

This would be particularly useful in the case where bugzilla emails are lost
owing to a non-functioning mail-server, to allow one to easily see what bugs
have most recently been updated / commented upon .
Comment 1 David Lawrence 2005-08-05 11:12:13 EDT
There is a column that can be added to your bug list called Change Date that
will list in your query the date that the bugs was last changed including
comments. Just click on Change Columns at the bottom of your bug lists and check
the box for Change Date. There is also one for Open Date as well. You can sort
based on those columns as well.

I admit that the ability to query for bugs which had a comment made between a
date range would be useful and I also do not see a way to do that easily through
the query UI. I will need to look into adding this functionality or see if their
are patches out there for that.
Comment 2 David Lawrence 2008-09-16 12:53:09 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 3 David Lawrence 2010-01-15 12:33:01 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 4 David Lawrence 2010-08-25 17:43:29 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 6 Bruce O. Benson 2011-04-16 03:33:12 EDT
steps:

1.  go to https://bugzilla.redhat.com/query.cgi
2.  query for anything.
3.  fantasize about clicking on a column called 'Date'.
Comment 7 Jeff Fearn 2012-05-30 00:45:41 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 8 Jeff Fearn 2012-05-30 00:45:44 EDT
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 9 Bruce O. Benson 2012-06-01 12:19:59 EDT
Basically I was asking for the ability to add a custom sort column (of any field) for results display, much like the custom search allows a search on any field.

Even better:  If I choose certain fields for a custom search, it would be great if those fields came up in the query results so the results could be sorted on those same fields.
Comment 10 Simon Green 2012-06-14 21:05:18 EDT
(In reply to comment #9)
> Even better:  If I choose certain fields for a custom search, it would be
> great if those fields came up in the query results

Does the field show up when you click the 'Change columns' link in the buglist.cgi page? If not, what field?

> so the results could be
> sorted on those same fields.

Once the field shows, you can click on the heading to sort using this field (and click again to reverse it).

  -- simon
Comment 11 Jeff Fearn 2012-07-19 00:46:23 EDT
Resetting this to defaults for PM consideration.
Comment 12 Bruce O. Benson 2012-07-19 12:38:32 EDT
Just a small suggestion. Clicking the 'changed' field pretty much gets the job done.  You can close if you like.

Note You need to log in before you can comment on or make changes to this bug.